This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 985440 - Review Request: cinnamon-settings-daemon - The daemon sharing settings from CINNAMON to GTK+/KDE applications
Review Request: cinnamon-settings-daemon - The daemon sharing settings from C...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Wolfgang Ulbrich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-17 09:38 EDT by leigh scott
Modified: 2014-01-13 08:24 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-21 10:44:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description leigh scott 2013-07-17 09:38:23 EDT
Spec URL: http://leigh123linux.fedorapeople.org/pub/review/cinnamon-settings-daemon/1/cinnamon-settings-daemon.spec
SRPM URL: http://leigh123linux.fedorapeople.org/pub/review/cinnamon-settings-daemon/1/cinnamon-settings-daemon-1.0.0-0.1.git42cc1ce.fc19.src.rpm

Description: 
A daemon to share settings from CINNAMON to other applications. It also
handles global keybindings, as well as a number of desktop-wide settings.

Fedora Account System Username: leigh123linux
Comment 1 Wolfgang Ulbrich 2013-07-17 13:39:25 EDT
Will do a first look at spec file this evening.
Comment 2 Wolfgang Ulbrich 2013-07-18 09:09:10 EDT
rpmlint.text

Checking: cinnamon-settings-daemon-1.0.0-0.1.git42cc1ce.fc20.x86_64.rpm
          cinnamon-settings-daemon-devel-1.0.0-0.1.git42cc1ce.fc20.x86_64.rpm
          cinnamon-settings-daemon-updates-1.0.0-0.1.git42cc1ce.fc20.x86_64.rpm
cinnamon-settings-daemon.x86_64: W: spelling-error %description -l en_US keybindings -> key bindings, key-bindings, bindings
cinnamon-settings-daemon.x86_64: W: non-conffile-in-etc /etc/xdg/autostart/cinnamon-settings-daemon.desktop
cinnamon-settings-daemon.x86_64: W: non-conffile-in-etc /etc/xdg/autostart/cinnamon-fallback-mount-helper.desktop
cinnamon-settings-daemon.x86_64: W: non-conffile-in-etc /etc/dbus-1/system.d/org.cinnamon.SettingsDaemon.DateTimeMechanism.conf

Please use
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/org.cinnamon.SettingsDaemon.DateTimeMechanism.conf

cinnamon-settings-daemon-devel.x86_64: W: no-documentation
cinnamon-settings-daemon-devel.x86_64: E: incorrect-fsf-address /usr/include/cinnamon-settings-daemon-3.0/cinnamon-settings-daemon/cinnamon-settings-plugin.h

Please notice upstream about this and all the others incorrect-fsf-address errors.

cinnamon-settings-daemon-devel.x86_64: E: non-executable-script /usr/share/cinnamon-settings-daemon-3.0/input-device-example.sh 0644L /bin/sh

Please fix it and add a executable bit !

cinnamon-settings-daemon-updates.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 2 errors, 6 warnings.

Issues:
=======
- update-desktop-database is invoked when required
  Note: desktop file(s) in cinnamon-settings-daemon
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

This is a fault postive and we can ignore it, no desktop file has an mine type.

- Package installs a %{name}.desktop using desktop-file-install if there is
  such a file.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#desktop

Use desktop-file-install or destop-file-validate commands to install/verify the destop files.

[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

Unversioned so-files
--------------------
cinnamon-settings-daemon: /usr/lib64/cinnamon-settings-daemon-3.0/liba11y-keyboard.so
cinnamon-settings-daemon: /usr/lib64/cinnamon-settings-daemon-3.0/liba11y-settings.so
cinnamon-settings-daemon: /usr/lib64/cinnamon-settings-daemon-3.0/libbackground.so
cinnamon-settings-daemon: /usr/lib64/cinnamon-settings-daemon-3.0/libclipboard.so
cinnamon-settings-daemon: /usr/lib64/cinnamon-settings-daemon-3.0/libcolor.so
cinnamon-settings-daemon: /usr/lib64/cinnamon-settings-daemon-3.0/libcsd.so
cinnamon-settings-daemon: /usr/lib64/cinnamon-settings-daemon-3.0/libcsdwacom.so
cinnamon-settings-daemon: /usr/lib64/cinnamon-settings-daemon-3.0/libcursor.so
cinnamon-settings-daemon: /usr/lib64/cinnamon-settings-daemon-3.0/libhousekeeping.so
cinnamon-settings-daemon: /usr/lib64/cinnamon-settings-daemon-3.0/libkeyboard.so
cinnamon-settings-daemon: /usr/lib64/cinnamon-settings-daemon-3.0/libmedia-keys.so
cinnamon-settings-daemon: /usr/lib64/cinnamon-settings-daemon-3.0/libmouse.so
cinnamon-settings-daemon: /usr/lib64/cinnamon-settings-daemon-3.0/liborientation.so
cinnamon-settings-daemon: /usr/lib64/cinnamon-settings-daemon-3.0/libpower.so
cinnamon-settings-daemon: /usr/lib64/cinnamon-settings-daemon-3.0/libprint-notifications.so
cinnamon-settings-daemon: /usr/lib64/cinnamon-settings-daemon-3.0/libscreensaver-proxy.so
cinnamon-settings-daemon: /usr/lib64/cinnamon-settings-daemon-3.0/libsmartcard.so
cinnamon-settings-daemon: /usr/lib64/cinnamon-settings-daemon-3.0/libsound.so
cinnamon-settings-daemon: /usr/lib64/cinnamon-settings-daemon-3.0/libxrandr.so
cinnamon-settings-daemon: /usr/lib64/cinnamon-settings-daemon-3.0/libxsettings.so
cinnamon-settings-daemon-updates: /usr/lib64/cinnamon-settings-daemon-3.0/libupdates.so

Let us talk in irc why they are not versioned!

Ok, that's all for the moment, pls fix it and i will do the final review.
Comment 3 leigh scott 2013-07-18 11:13:23 EDT
(In reply to Wolfgang Ulbrich from comment #2)
> rpmlint.text
> 
> Checking: cinnamon-settings-daemon-1.0.0-0.1.git42cc1ce.fc20.x86_64.rpm
>           cinnamon-settings-daemon-devel-1.0.0-0.1.git42cc1ce.fc20.x86_64.rpm
>          
> cinnamon-settings-daemon-updates-1.0.0-0.1.git42cc1ce.fc20.x86_64.rpm
> cinnamon-settings-daemon.x86_64: W: spelling-error %description -l en_US
> keybindings -> key bindings, key-bindings, bindings
> cinnamon-settings-daemon.x86_64: W: non-conffile-in-etc
> /etc/xdg/autostart/cinnamon-settings-daemon.desktop
> cinnamon-settings-daemon.x86_64: W: non-conffile-in-etc
> /etc/xdg/autostart/cinnamon-fallback-mount-helper.desktop
> cinnamon-settings-daemon.x86_64: W: non-conffile-in-etc
> /etc/dbus-1/system.d/org.cinnamon.SettingsDaemon.DateTimeMechanism.conf
> 
> Please use
> %config(noreplace)
> %{_sysconfdir}/dbus-1/system.d/org.cinnamon.SettingsDaemon.DateTimeMechanism.
> conf

This isn't a user configuration file and shouldn't have (noreplace) tag


> 
> cinnamon-settings-daemon-devel.x86_64: W: no-documentation
> cinnamon-settings-daemon-devel.x86_64: E: incorrect-fsf-address
> /usr/include/cinnamon-settings-daemon-3.0/cinnamon-settings-daemon/cinnamon-
> settings-plugin.h
> 
> Please notice upstream about this and all the others incorrect-fsf-address
> errors.

I will file a Br

> 
> cinnamon-settings-daemon-devel.x86_64: E: non-executable-script
> /usr/share/cinnamon-settings-daemon-3.0/input-device-example.sh 0644L /bin/sh
> 
> Please fix it and add a executable bit !

It's just an example file and doesn't have any function.

> 
> cinnamon-settings-daemon-updates.x86_64: W: no-documentation
> 3 packages and 0 specfiles checked; 2 errors, 6 warnings.
> 
> Issues:
> =======
> - update-desktop-database is invoked when required
>   Note: desktop file(s) in cinnamon-settings-daemon
>   See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
> 
> This is a fault postive and we can ignore it, no desktop file has an mine
> type.
> 
> - Package installs a %{name}.desktop using desktop-file-install if there is
>   such a file.
>   See: http://fedoraproject.org/wiki/Packaging/Guidelines#desktop
> 
> Use desktop-file-install or destop-file-validate commands to install/verify
> the destop files.
> 
> [-]: Development (unversioned) .so files in -devel subpackage, if present.
>      Note: Unversioned so-files in private %_libdir subdirectory (see
>      attachment). Verify they are not in ld path.
> 
> Unversioned so-files
> --------------------
> cinnamon-settings-daemon:
> /usr/lib64/cinnamon-settings-daemon-3.0/liba11y-keyboard.so
> cinnamon-settings-daemon:
> /usr/lib64/cinnamon-settings-daemon-3.0/liba11y-settings.so
> cinnamon-settings-daemon:
> /usr/lib64/cinnamon-settings-daemon-3.0/libbackground.so
> cinnamon-settings-daemon:
> /usr/lib64/cinnamon-settings-daemon-3.0/libclipboard.so
> cinnamon-settings-daemon: /usr/lib64/cinnamon-settings-daemon-3.0/libcolor.so
> cinnamon-settings-daemon: /usr/lib64/cinnamon-settings-daemon-3.0/libcsd.so
> cinnamon-settings-daemon:
> /usr/lib64/cinnamon-settings-daemon-3.0/libcsdwacom.so
> cinnamon-settings-daemon:
> /usr/lib64/cinnamon-settings-daemon-3.0/libcursor.so
> cinnamon-settings-daemon:
> /usr/lib64/cinnamon-settings-daemon-3.0/libhousekeeping.so
> cinnamon-settings-daemon:
> /usr/lib64/cinnamon-settings-daemon-3.0/libkeyboard.so
> cinnamon-settings-daemon:
> /usr/lib64/cinnamon-settings-daemon-3.0/libmedia-keys.so
> cinnamon-settings-daemon: /usr/lib64/cinnamon-settings-daemon-3.0/libmouse.so
> cinnamon-settings-daemon:
> /usr/lib64/cinnamon-settings-daemon-3.0/liborientation.so
> cinnamon-settings-daemon: /usr/lib64/cinnamon-settings-daemon-3.0/libpower.so
> cinnamon-settings-daemon:
> /usr/lib64/cinnamon-settings-daemon-3.0/libprint-notifications.so
> cinnamon-settings-daemon:
> /usr/lib64/cinnamon-settings-daemon-3.0/libscreensaver-proxy.so
> cinnamon-settings-daemon:
> /usr/lib64/cinnamon-settings-daemon-3.0/libsmartcard.so
> cinnamon-settings-daemon: /usr/lib64/cinnamon-settings-daemon-3.0/libsound.so
> cinnamon-settings-daemon:
> /usr/lib64/cinnamon-settings-daemon-3.0/libxrandr.so
> cinnamon-settings-daemon:
> /usr/lib64/cinnamon-settings-daemon-3.0/libxsettings.so
> cinnamon-settings-daemon-updates:
> /usr/lib64/cinnamon-settings-daemon-3.0/libupdates.so


The unversioned .so are plugins

> 
> Let us talk in irc why they are not versioned!
> 
> Ok, that's all for the moment, pls fix it and i will do the final review.



SPEC URL: http://leigh123linux.fedorapeople.org/pub/review/cinnamon-settings-daemon/2/cinnamon-settings-daemon.spec


SRPM URL: http://leigh123linux.fedorapeople.org/pub/review/cinnamon-settings-daemon/2/cinnamon-settings-daemon-1.0.0-0.2.git42cc1ce.fc19.src.rpm
Comment 4 Wolfgang Ulbrich 2013-07-18 14:52:29 EDT
Package APPROVED !


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- update-desktop-database is invoked when required
  Note: desktop file(s) in cinnamon-settings-daemon
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

This is a fault postive and we can ignore it, no desktop file has an mine type.

- Package installs a %{name}.desktop using desktop-file-install if there is
  such a file.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#desktop

cinnamon-settings-daemon doesn't have a gui, so we can ignore this!


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: %config files are marked noreplace or the reason is justified.
     Note: No (noreplace) in %config /etc/xdg/autostart/cinnamon-fallback-
     mount-helper.desktop %config
     /etc/dbus-1/system.d/org.cinnamon.SettingsDaemon.DateTimeMechanism.conf
     %config /etc/xdg/autostart/cinnamon-settings-daemon.desktop
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: glib-compile-schemas is run if required
     Note: gschema file(s) in cinnamon-settings-daemon, cinnamon-settings-
     daemon-updates
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "GPL (v3 or later)", "Unknown or generated", "LGPL
     (v2 or later) (with incorrect FSF address)", "GPL (v2 or later) (with
     incorrect FSF address)", "LGPL (v2.1 or later)". 33 files have unknown
     license. Detailed output of licensecheck in /home/rave/985440-cinnamon-
     settings-daemon/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[-]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked when required
     Note: icons in cinnamon-settings-daemon
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 5058560 bytes in /usr/share 20480
     cinnamon-settings-daemon-updates-1.0.0-0.2.git42cc1ce.fc20.x86_64.rpm
     10240 cinnamon-settings-daemon-devel-1.0.0-0.2.git42cc1ce.fc20.x86_64.rpm
     5027840 cinnamon-settings-daemon-1.0.0-0.2.git42cc1ce.fc20.x86_64.rpm
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: cinnamon-settings-daemon-1.0.0-0.2.git42cc1ce.fc20.x86_64.rpm
          cinnamon-settings-daemon-devel-1.0.0-0.2.git42cc1ce.fc20.x86_64.rpm
          cinnamon-settings-daemon-updates-1.0.0-0.2.git42cc1ce.fc20.x86_64.rpm
cinnamon-settings-daemon.x86_64: W: spelling-error %description -l en_US keybindings -> key bindings, key-bindings, bindings
cinnamon-settings-daemon.x86_64: W: conffile-without-noreplace-flag /etc/xdg/autostart/cinnamon-settings-daemon.desktop
cinnamon-settings-daemon.x86_64: W: conffile-without-noreplace-flag /etc/xdg/autostart/cinnamon-fallback-mount-helper.desktop
cinnamon-settings-daemon.x86_64: W: conffile-without-noreplace-flag /etc/dbus-1/system.d/org.cinnamon.SettingsDaemon.DateTimeMechanism.conf
cinnamon-settings-daemon-devel.x86_64: W: no-documentation
cinnamon-settings-daemon-devel.x86_64: E: incorrect-fsf-address /usr/include/cinnamon-settings-daemon-3.0/cinnamon-settings-daemon/cinnamon-settings-plugin.h
cinnamon-settings-daemon-devel.x86_64: E: non-executable-script /usr/share/cinnamon-settings-daemon-3.0/input-device-example.sh 0644L /bin/sh
cinnamon-settings-daemon-updates.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 2 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint cinnamon-settings-daemon cinnamon-settings-daemon-updates cinnamon-s 
ettings-daemon-devel
cinnamon-settings-daemon.x86_64: W: spelling-error %description -l en_US keybindings -> key bindings, key-bindings, bindings
cinnamon-settings-daemon.x86_64: W: non-conffile-in-etc /etc/xdg/autostart/cinnamon-settings-daemon.desktop
cinnamon-settings-daemon.x86_64: W: non-conffile-in-etc /etc/xdg/autostart/cinnamon-fallback-mount-helper.desktop
cinnamon-settings-daemon.x86_64: W: non-conffile-in-etc /etc/dbus-1/system.d/org.cinnamon.SettingsDaemon.DateTimeMechanism.conf
cinnamon-settings-daemon-updates.x86_64: W: no-documentation
cinnamon-settings-daemon-devel.x86_64: W: no-documentation
cinnamon-settings-daemon-devel.x86_64: E: incorrect-fsf-address /usr/include/cinnamon-settings-daemon-3.0/cinnamon-settings-daemon/cinnamon-settings-plugin.h
cinnamon-settings-daemon-devel.x86_64: E: non-executable-script /usr/share/cinnamon-settings-daemon-3.0/input-device-example.sh 0644L /bin/sh
3 packages and 0 specfiles checked; 2 errors, 6 warnings.
# echo 'rpmlint-done:'



Requires
--------
cinnamon-settings-daemon (rpmlib, GLIBC filtered):
    /bin/sh
    config(cinnamon-settings-daemon)
    control-center-filesystem
    hicolor-icon-theme
    libX11.so.6()(64bit)
    libXext.so.6()(64bit)
    libXfixes.so.3()(64bit)
    libXi.so.6()(64bit)
    libXtst.so.6()(64bit)
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libcanberra-gtk3.so.0()(64bit)
    libcanberra.so.0()(64bit)
    libcolord.so.1()(64bit)
    libcolordprivate.so.1()(64bit)
    libcom_err.so.2()(64bit)
    libcrypt.so.1()(64bit)
    libcsd.so()(64bit)
    libcups.so.2()(64bit)
    libdbus-1.so.3()(64bit)
    libdbus-glib-1.so.2()(64bit)
    libdl.so.2()(64bit)
    libfontconfig.so.1()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgnome-desktop-3.so.7()(64bit)
    libgnomekbd.so.8()(64bit)
    libgnomekbdui.so.8()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgssapi_krb5.so.2()(64bit)
    libgthread-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libgudev-1.0.so.0()(64bit)
    libk5crypto.so.3()(64bit)
    libkrb5.so.3()(64bit)
    liblcms2.so.2()(64bit)
    libm.so.6()(64bit)
    libnotify.so.4()(64bit)
    libnspr4.so()(64bit)
    libnss3.so()(64bit)
    libnss3.so(NSS_3.2)(64bit)
    libnss3.so(NSS_3.3)(64bit)
    libnss3.so(NSS_3.4)(64bit)
    libnss3.so(NSS_3.9.3)(64bit)
    libnssutil3.so()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libplc4.so()(64bit)
    libplds4.so()(64bit)
    libpolkit-gobject-1.so.0()(64bit)
    libpthread.so.0()(64bit)
    libpulse-mainloop-glib.so.0()(64bit)
    libpulse-mainloop-glib.so.0(PULSE_0)(64bit)
    libpulse.so.0()(64bit)
    libpulse.so.0(PULSE_0)(64bit)
    libsmime3.so()(64bit)
    libssl3.so()(64bit)
    libsystemd-login.so.0()(64bit)
    libsystemd-login.so.0(LIBSYSTEMD_LOGIN_31)(64bit)
    libupower-glib.so.1()(64bit)
    libwacom.so.2()(64bit)
    libxklavier.so.16()(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)

cinnamon-settings-daemon-updates (rpmlib, GLIBC filtered):
    /bin/sh
    cinnamon-settings-daemon(x86-64)
    libX11.so.6()(64bit)
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libgudev-1.0.so.0()(64bit)
    libnotify.so.4()(64bit)
    libpackagekit-glib2.so.16()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    libsqlite3.so.0()(64bit)
    libupower-glib.so.1()(64bit)
    rtld(GNU_HASH)

cinnamon-settings-daemon-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    cinnamon-settings-daemon(x86-64)
    dbus-glib-devel
    libX11.so.6()(64bit)
    libXext.so.6()(64bit)
    libXi.so.6()(64bit)
    libXtst.so.6()(64bit)
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libcanberra-gtk3.so.0()(64bit)
    libcanberra.so.0()(64bit)
    libcom_err.so.2()(64bit)
    libcrypt.so.1()(64bit)
    libcsd.so()(64bit)
    libcups.so.2()(64bit)
    libdl.so.2()(64bit)
    libfontconfig.so.1()(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgnome-desktop-3.so.7()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgssapi_krb5.so.2()(64bit)
    libgthread-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libgudev-1.0.so.0()(64bit)
    libk5crypto.so.3()(64bit)
    libkrb5.so.3()(64bit)
    libm.so.6()(64bit)
    libnotify.so.4()(64bit)
    libnspr4.so()(64bit)
    libnss3.so()(64bit)
    libnss3.so(NSS_3.2)(64bit)
    libnss3.so(NSS_3.3)(64bit)
    libnss3.so(NSS_3.4)(64bit)
    libnss3.so(NSS_3.9.3)(64bit)
    libnssutil3.so()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libplc4.so()(64bit)
    libplds4.so()(64bit)
    libpthread.so.0()(64bit)
    libpulse-mainloop-glib.so.0()(64bit)
    libpulse-mainloop-glib.so.0(PULSE_0)(64bit)
    libpulse.so.0()(64bit)
    libpulse.so.0(PULSE_0)(64bit)
    libsmime3.so()(64bit)
    libssl3.so()(64bit)
    libsystemd-login.so.0()(64bit)
    libupower-glib.so.1()(64bit)
    libwacom.so.2()(64bit)
    libz.so.1()(64bit)
    pkgconfig(glib-2.0)
    rtld(GNU_HASH)



Provides
--------
cinnamon-settings-daemon:
    cinnamon-settings-daemon
    cinnamon-settings-daemon(x86-64)
    config(cinnamon-settings-daemon)
    liba11y-keyboard.so()(64bit)
    liba11y-settings.so()(64bit)
    libbackground.so()(64bit)
    libclipboard.so()(64bit)
    libcolor.so()(64bit)
    libcsd.so()(64bit)
    libcsdwacom.so()(64bit)
    libcursor.so()(64bit)
    libhousekeeping.so()(64bit)
    libkeyboard.so()(64bit)
    libmedia-keys.so()(64bit)
    libmouse.so()(64bit)
    liborientation.so()(64bit)
    libpower.so()(64bit)
    libprint-notifications.so()(64bit)
    libscreensaver-proxy.so()(64bit)
    libsmartcard.so()(64bit)
    libsound.so()(64bit)
    libxrandr.so()(64bit)
    libxsettings.so()(64bit)

cinnamon-settings-daemon-updates:
    cinnamon-settings-daemon-updates
    cinnamon-settings-daemon-updates(x86-64)
    libupdates.so()(64bit)

cinnamon-settings-daemon-devel:
    cinnamon-settings-daemon-devel
    cinnamon-settings-daemon-devel(x86-64)
    pkgconfig(cinnamon-settings-daemon)



Unversioned so-files
--------------------
cinnamon-settings-daemon: /usr/lib64/cinnamon-settings-daemon-3.0/liba11y-keyboard.so
cinnamon-settings-daemon: /usr/lib64/cinnamon-settings-daemon-3.0/liba11y-settings.so
cinnamon-settings-daemon: /usr/lib64/cinnamon-settings-daemon-3.0/libbackground.so
cinnamon-settings-daemon: /usr/lib64/cinnamon-settings-daemon-3.0/libclipboard.so
cinnamon-settings-daemon: /usr/lib64/cinnamon-settings-daemon-3.0/libcolor.so
cinnamon-settings-daemon: /usr/lib64/cinnamon-settings-daemon-3.0/libcsd.so
cinnamon-settings-daemon: /usr/lib64/cinnamon-settings-daemon-3.0/libcsdwacom.so
cinnamon-settings-daemon: /usr/lib64/cinnamon-settings-daemon-3.0/libcursor.so
cinnamon-settings-daemon: /usr/lib64/cinnamon-settings-daemon-3.0/libhousekeeping.so
cinnamon-settings-daemon: /usr/lib64/cinnamon-settings-daemon-3.0/libkeyboard.so
cinnamon-settings-daemon: /usr/lib64/cinnamon-settings-daemon-3.0/libmedia-keys.so
cinnamon-settings-daemon: /usr/lib64/cinnamon-settings-daemon-3.0/libmouse.so
cinnamon-settings-daemon: /usr/lib64/cinnamon-settings-daemon-3.0/liborientation.so
cinnamon-settings-daemon: /usr/lib64/cinnamon-settings-daemon-3.0/libpower.so
cinnamon-settings-daemon: /usr/lib64/cinnamon-settings-daemon-3.0/libprint-notifications.so
cinnamon-settings-daemon: /usr/lib64/cinnamon-settings-daemon-3.0/libscreensaver-proxy.so
cinnamon-settings-daemon: /usr/lib64/cinnamon-settings-daemon-3.0/libsmartcard.so
cinnamon-settings-daemon: /usr/lib64/cinnamon-settings-daemon-3.0/libsound.so
cinnamon-settings-daemon: /usr/lib64/cinnamon-settings-daemon-3.0/libxrandr.so
cinnamon-settings-daemon: /usr/lib64/cinnamon-settings-daemon-3.0/libxsettings.so
cinnamon-settings-daemon-updates: /usr/lib64/cinnamon-settings-daemon-3.0/libupdates.so

Source checksums
----------------
http://leigh123linux.fedorapeople.org/pub/cinnamon-settings-daemon/source/cinnamon-settings-daemon-1.0.0.git42cc1ce.tar.gz :
  CHECKSUM(SHA256) this package     : baf8efb5042be29e03439b61b2ec3ccf0cf90e37e1befe9cf2f6838cedd39c8b
  CHECKSUM(SHA256) upstream package : baf8efb5042be29e03439b61b2ec3ccf0cf90e37e1befe9cf2f6838cedd39c8b


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -v -b 985440 -m fedora-rawhide-x86_64
Comment 5 leigh scott 2013-07-18 15:18:12 EDT
New Package SCM Request
=======================
Package Name: cinnamon-settings-daemon
Short Description: The daemon sharing settings from CINNAMON to GTK+/KDE applications
Owners: leigh123linux
Branches: f19
InitialCC:
Comment 6 Gwyn Ciesla 2013-07-18 15:52:49 EDT
Git done (by process-git-requests).
Comment 7 leigh scott 2014-01-02 11:48:11 EST
Package Change Request
======================
Package Name: cinnamon-settings-daemon
New Branches: epel7
Owners: leigh123linux
Comment 8 Gwyn Ciesla 2014-01-02 12:02:28 EST
No epel7 branches yet.
Comment 9 leigh scott 2014-01-12 08:16:17 EST
Package Change Request
======================
Package Name: cinnamon-settings-daemon
New Branches: epel7
Owners: leigh123linux
Comment 10 Gwyn Ciesla 2014-01-13 08:24:28 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.